Subject: PINE/IMAP/RFC2369

From: Jeremy Blackman <[email-masked]>
Date: Fri, 26 Mar 1999 20:12:57 -0800 (PST)

Heya... this may not be the best place to ask, but I didn't see a
'pine-dev' list, so...

I've been doing a bit of PINE hacking over the past couple days, adding
support for RFC2369 to my local copy.  (RFC2369 specifies special RFC822
headers that mailing list software can add to the headers of posts in
order to provide commands for subscribing/unsubscribing, getting help,
contacting the list owner, etc.)  

As more mailing list packages begin to support RFC2369, and as several
clients (Pegasus, Eudora, etc.) are supporting it now, and I'd just
finished adding support for RFC2369 to the mailing list package I write, I
thought I'd hack support for it into my copy of PINE (hey, why not?).

Well, everything goes great up to a point.  When reading from a local mail
spool, PINE finds the headers correctly, activates the 'Mailing List'
option, and you can go to the 'Mailing List' screen to unsubscribe, surf
to the mailing list archives, contact the list owner, etc.  Works
perfectly, no problems.  Not bad, for the first time I ever touched PINE's
source code.

However, it works somewhat less well (e.g. not at all) over IMAP.  As my
primary method of reading my mail is over IMAP, this is a bit of a bummer
for me.  I would have thought I only needed to add the RFC2369 headers to
the 'extraheaders' list, but it appears that doesn't do the trick.  It
just never populates the envelope variables for the listserver options...

Can anyone point me in the right direction?  Thanks!!

--Jeremy

-- 
-----------------------------------------------------------------
 For information about this mailing list, and its archives, see: 
 http://www.washington.edu/pine/pine-info/
-----------------------------------------------------------------